New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't locate OpenGL.pm #3075

Closed
pcnate opened this Issue Sep 30, 2015 · 4 comments

Comments

Projects
None yet
2 participants
@pcnate

pcnate commented Sep 30, 2015

Can't locate OpenGL.pm in @INC (you may need to install the OpenGL module) (@INC contains:         /home/pcnate/source/Slic3r/lib /usr/lib/perl5/site_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.20.1 /usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.20.1 /usr/lib/perl5/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/5.20.1 /usr/lib/perl5/site_perl .) at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
Compilation failed in require at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
Compilation failed in require at (eval 70) line 1.

The error occurs here:

Use Slic3r::GUI::Plater::2DToolpaths;

I am running OpenSuse 13.2 with everything up to date.

@lordofhyphens

This comment has been minimized.

Show comment
Hide comment
@lordofhyphens

lordofhyphens Sep 30, 2015

Member

Do you have the opengl perl bindings installed?
On Sep 29, 2015 7:35 PM, "Nathan Baker" notifications@github.com wrote:

Can't locate OpenGL.pm in @inc (you may need to install the OpenGL module) (@inc contains: /home/pcnate/source/Slic3r/lib /usr/lib/perl5/site_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.20.1 /usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.20.1 /usr/lib/perl5/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/5.20.1 /usr/lib/perl5/site_perl .) at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
Compilation failed in require at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
Compilation failed in require at (eval 70) line 1.

The error occurs here:

Use Slic3r::GUI::Plater::2DToolpaths;

I am running OpenSuse 13.2 with everything up to date.


Reply to this email directly or view it on GitHub
#3075.

Member

lordofhyphens commented Sep 30, 2015

Do you have the opengl perl bindings installed?
On Sep 29, 2015 7:35 PM, "Nathan Baker" notifications@github.com wrote:

Can't locate OpenGL.pm in @inc (you may need to install the OpenGL module) (@inc contains: /home/pcnate/source/Slic3r/lib /usr/lib/perl5/site_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.20.1 /usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.20.1 /usr/lib/perl5/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/5.20.1 /usr/lib/perl5/site_perl .) at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI/Plater/2DToolpaths.pm line 120.
Compilation failed in require at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
BEGIN failed--compilation aborted at /home/pcnate/source/Slic3r/lib/Slic3r/GUI.pm line 16.
Compilation failed in require at (eval 70) line 1.

The error occurs here:

Use Slic3r::GUI::Plater::2DToolpaths;

I am running OpenSuse 13.2 with everything up to date.


Reply to this email directly or view it on GitHub
#3075.

@pcnate

This comment has been minimized.

Show comment
Hide comment
@pcnate

pcnate Sep 30, 2015

I have not purposely installed anything except that I did encounter issues with Wx. I ended up using CPAN to get that installed.

I will try this later when I get home. Is there anything documented for this?

pcnate commented Sep 30, 2015

I have not purposely installed anything except that I did encounter issues with Wx. I ended up using CPAN to get that installed.

I will try this later when I get home. Is there anything documented for this?

@pcnate

This comment has been minimized.

Show comment
Hide comment
@pcnate

pcnate Oct 1, 2015

Excuse me while I burn OpenSuse off my drives. I seem to have no idea to get this done on Opensuse.

Might i suggest a test to verify that the OpenGL bindings are installed during setup?

pcnate commented Oct 1, 2015

Excuse me while I burn OpenSuse off my drives. I seem to have no idea to get this done on Opensuse.

Might i suggest a test to verify that the OpenGL bindings are installed during setup?

@pcnate

This comment has been minimized.

Show comment
Hide comment
@pcnate

pcnate Oct 1, 2015

Used the following on OpenSuse

sudo zypper install freeglut-devel
cpan -i OpenGL

Now this works fine:

./slic3r.pl --gui

pcnate commented Oct 1, 2015

Used the following on OpenSuse

sudo zypper install freeglut-devel
cpan -i OpenGL

Now this works fine:

./slic3r.pl --gui

@pcnate pcnate closed this Oct 1, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment